### Enumeration

# GIRepository Transfer

since: 2.80

#### Declaration

    enum GIRepository.Transfer

#### Description

`GITransfer` specifies who’s responsible for freeing the resources after an ownership transfer is complete.

The transfer is the exchange of data between two parts, from the callee to the caller.

The callee is either a function/method/signal or an object/interface where a property is defined. The caller is the side accessing a property or calling a function.

In the case of a containing type such as a list, an array or a hash table the container itself is specified differently from the items within the container. Each container is freed differently, check the documentation for the types themselves for information on how to free them.

Available since: 2.80

#### Members

`GI_TRANSFER_NOTHING`

  Transfer nothing from the callee (function or the type instance the property belongs to) to the caller. The callee retains the ownership of the transfer and the caller doesn’t need to do anything to free up the resources of this transfer.

  - Value: `0`
  - Available since: 2.80
`GI_TRANSFER_CONTAINER`

  Transfer the container (list, array, hash table) from the callee to the caller. The callee retains the ownership of the individual items in the container and the caller has to free up the container resources (`g_list_free()`, `g_hash_table_destroy()`, etc) of this transfer.

  - Value: `1`
  - Available since: 2.80
`GI_TRANSFER_EVERYTHING`

  Transfer everything, e.g. the container and its contents from the callee to the caller. This is the case when the callee creates a copy of all the data it returns. The caller is responsible for cleaning up the container and item resources of this transfer.

  - Value: `2`
  - Available since: 2.80